input,
select,
textarea {
  width: 100%;
  background: #fff;
  color: #595959;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  border: 1px solid #d1d1d1;
  -webkit-box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.07);
  -moz-box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.07);
  box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.07);
  font-family: inherit;
  font-size: 1.6rem;
  line-height: 1.5;
  outline: none;
  padding: 0rem 1.3rem 0rem 1.3rem;
  -webkit-transition: .18s ease-out;
  -o-transition: .18s ease-out;
  -moz-transition: .18s ease-out;
  transition: .18s ease-out;
  vertical-align: bottom;
  height: 40px;
}

input[type="checkbox"],
input[type="radio"],
input[type="file"] {
  width: auto;
}

input[type="reset"],
input[type="submit"] {
  width: auto;
  background: #1379a7;
  color: #fff;
  cursor: pointer;
  border: 1px solid transparent;
}

input:hover,
select:hover,
textarea:hover {
  -webkit-box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.02);
  -moz-box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.02);
  box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.02);
}

input[type="reset"]:hover,
input[type="submit"]:hover {
  background: #0f5f83;
}

input:focus,
textarea:focus,
select:focus {
  color: #000000;
  border: 1px solid #B8B6B6;
  -webkit-box-shadow: inset 1px 2px 4px rgba(0, 0, 0, 0.01), 0px 0px 8px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: inset 1px 2px 4px rgba(0, 0, 0, 0.01), 0px 0px 8px rgba(0, 0, 0, 0.2);
  box-shadow: inset 1px 2px 4px rgba(0, 0, 0, 0.01), 0px 0px 8px rgba(0, 0, 0, 0.2);
}
